{% extends "base.html" %}

{% load i18n volunteers_tags seawatch_registration_tags %}

{% block content %}
    <h1>
        {{ volunteer.name }}
    </h1>
    <dl class="volunteer-detail">
        <dt>{% trans "Phone number" %}</dt>
        <dd>{{ volunteer.phone_number }}</dd>

        <dt>{% trans "Email" %}</dt>
        <dd>{{ volunteer.email }}</dd>

        <dt>{% trans "Birthday" %}</dt>
        <dd>{{ volunteer.date_of_birth }}</dd>

        <dt>{% trans "Gender" %}</dt>
        <dd>{{ volunteer.get_gender_display }}</dd>

        <dt>{% trans "Positions" %}</dt>
        <dd>{{ volunteer.positions.all|join:", " }}</dd>

        <dt>{% trans "Certificates" %}</dt>
        <dd>{{ volunteer.certificates|join:", " }}</dd>

        <dt>{% trans "Spoken Languages" %}</dt>
        <dd>{{ volunteer.languages|format_spoken_languages }}</dd>

        <dt>{% trans "Nationalities" %}</dt>
        <dd>{{ volunteer.nationalities|format_nationalities }}</dd>
    </dl>
    {% if features.archive_volunteers %}
    <form method="POST" action="{% url "volunteer_archive" pk=volunteer.id %}">
        {% csrf_token %}
        <input type="submit" value="Archive Profile">
    </form>
    {% endif %}
{% endblock %}
